Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface Globe

All Superinterfaces:
  AVList, EventListener, Extent, PropertyChangeListener, WWObject

All Known Implementing Classes:
  Earth, EllipsoidalGlobe

    public interface Globe

extends WWObject, Extent

Method Summary
`Point` | `computePointFromPosition(Angle latitude, Angle longitude, double metersElevation)`
`Point` | `computePointFromPosition(Position position)`
`Position` | `computePositionFromPoint(Point point)`
`Point` | `computeSurfaceNormalAtPoint(Point p)`
`double` | `getEccentricitySquared()`
`double` | `getElevation(Angle latitude, Angle longitude)`
`ElevationModel` | `getElevationModel()`
`double` | `getEquatorialRadius()`
`Extent` | `getExtent()`
`Position` | `getIntersectionPosition(Line line)`
`double` | `getMaxElevation()`
`double` | `getMaximumRadius()`
`double` | `getMinElevation()`
`double` | `getPolarRadius()`
`double` | `getRadiusAt(Angle latitude, Angle longitude)`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Methods inherited from interface gov.nasa.worldwind.geom.Extent
`getCenter, getDiameter, getRadius, intersect, intersects, intersects, intersects`

Method Detail

### computePointFromPosition

    Point computePointFromPosition(Angle latitude,
                                   Angle longitude,
                                   double metersElevation)

### computePointFromPosition

    Point computePointFromPosition(Position position)

### computePositionFromPoint

    Position computePositionFromPoint(Point point)

### computeSurfaceNormalAtPoint

    Point computeSurfaceNormalAtPoint(Point p)

### getEccentricitySquared

    double getEccentricitySquared()

### getElevation

    double getElevation(Angle latitude,
                        Angle longitude)

### getElevationModel

    ElevationModel getElevationModel()

### getEquatorialRadius

    double getEquatorialRadius()

### getExtent

    Extent getExtent()

### getIntersectionPosition

    Position getIntersectionPosition(Line line)

### getMaxElevation

    double getMaxElevation()

### getMaximumRadius

    double getMaximumRadius()

### getMinElevation

    double getMinElevation()

### getPolarRadius

    double getPolarRadius()

### getRadiusAt

    double getRadiusAt(Angle latitude,
                       Angle longitude)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD